package controller

import (
	"web-qudo-be/app/module/hero_contents/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	HeroContent HeroContentsController
}

func NewController(heroService service.HeroContentsService, log zerolog.Logger) *Controller {
	return &Controller{
		HeroContent: NewHeroContentController(heroService, log),
	}
}